Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class Encoding

    java.lang.Object
      |
      +--com.ibm.awb.misc.Encoding

public class Encoding
extends java.lang.Object

The `Encoding` class

Version:
  1.00 $Date: 2001/07/28 06:33:14 $
Author:
  ONO Kouichi

Constructor Summary
`Encoding(java.lang.String javaEncoding)` Java Encoding name into HTML charset name.

Method Summary
`static Encoding` | `getDefault()`
`java.lang.String` | `getHTMLCharset()` get HTML charset name.
`java.lang.String` | `getJavaEncoding()` get Java Encoding name.
`static java.lang.String` | `htmlCharsetToJavaEncoding(java.lang.String charset)` Converts HTML charset name into Java Encoding name.
`static java.lang.String` | `javaEncodingToHTMLCharset(java.lang.String javaEncoding)` Converts Java Encoding name into HTML charset name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encoding

    public Encoding(java.lang.String javaEncoding)

  Java Encoding name into HTML charset name.
  Parameters:
    `javaEncoding` - Java Encoding name

Method Detail

### getDefault

    public static Encoding getDefault()

### getHTMLCharset

    public java.lang.String getHTMLCharset()

  get HTML charset name.
  Returns:
    HTML charset name

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  get Java Encoding name.
  Returns:
    Java Encoding name

### htmlCharsetToJavaEncoding

    public static java.lang.String htmlCharsetToJavaEncoding(java.lang.String charset)

  Converts HTML charset name into Java Encoding name.
  Parameters:
    `charset` - HTML charset name
  Returns:
    Java Encoding name

### javaEncodingToHTMLCharset

    public static java.lang.String javaEncodingToHTMLCharset(java.lang.String javaEncoding)

  Converts Java Encoding name into HTML charset name.
  Parameters:
    `javaEncoding` - Java Encoding name
  Returns:
    HTML charset name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD